Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
kyototycoon::MapReduce::ReduceTaskQueue::ReduceTask Class Reference

Task for parallel reducer. More...

`#include <ktdbext.h>`

List of all members.

## Public Member Functions
| ReduceTask (MapReduce *mr, const char *kbuf, size_t ksiz, const Values &values)
| constructor
## Friends
class | ReduceTaskQueue

## Detailed Description

Task for parallel reducer.

## Constructor & Destructor Documentation

kyototycoon::MapReduce::ReduceTaskQueue::ReduceTask::ReduceTask | ( | MapReduce * | mr,
|  | const char * | kbuf,
|  | size_t | ksiz,
|  | const Values & | values
| ) |  | `[explicit]`

constructor